unit Log;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.Menus;

const
  FORM_WIDTH_SET    = 800;
  FORM_HEIGHT_SET   = 600;

type
  TFormLog = class(TForm)
    Memo1: TMemo;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormResize(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure WmGetMinMaxInfo(var msg : TWMGetMinMaxInfo); message WM_GETMINMAXINFO;

  private
    { Private 錾 }
    TabStops: array [0..0] of DWord;
  public
    { Public 錾 }
  end;

var
  FormLog: TFormLog;

implementation

uses Main;

{$R *.dfm}

procedure TFormLog.WmGetMinMaxInfo(var msg : TWMGetMinMaxInfo);
begin
  //ŏTCY
  with msg.MinMaxInfo^.ptMinTrackSize do
  begin
    x := FORM_WIDTH_SET;
    y := FORM_HEIGHT_SET;
  end;
  //őTCY
  with msg.MinMaxInfo^.ptMaxTrackSize do
  begin
    //
  end;
  //ő剻TCY
  with msg.MinMaxInfo^.ptMaxSize do
  begin
    //
  end;
end;


procedure TFormLog.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  //
end;

procedure TFormLog.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  //
end;

procedure TFormLog.FormCreate(Sender: TObject);
begin
  //\
  Memo1.Lines.Assign(FormMain.StrListLog);
end;

procedure TFormLog.FormDestroy(Sender: TObject);
begin
  //
end;

procedure TFormLog.FormResize(Sender: TObject);
begin
  //
end;

procedure TFormLog.FormShow(Sender: TObject);
begin
  //FormłȂ̂ŁACreatełȂShowōs
  //FormKeyDowñCxgݒ肷
  FormLog.KeyPreview := TRUE;

  //ݒ
  TabStops[0] := 4*4;
  Memo1.Perform(EM_SETTABSTOPS, 1, Longint(@TabStops));
  Memo1.Invalidate;
end;

procedure TFormLog.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  //ESC
  if (Shift = []) and (key = VK_ESCAPE) then
  begin
    //I
    Close;
  end
  //
  else
  begin
    ;
  end;
end;

end.
